E-MailRelay

Classes | Namespaces
gstr.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gstrings.h"`
`#include "gstringview.h"`
`#include <string>`
`#include <sstream>`
`#include <iostream>`
`#include <list>`
`#include <vector>`
`#include <set>`
`#include <limits>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | G::Str
| A static class which provides string helper functions. More...
struct | G::Str::Limited
| Overload discrimiator for G::Str::toUWhatever() requesting a range-limited result. More...
struct | G::Str::Hex
| Overload discrimiator for G::Str::toUWhatever() indicating hexadecimal strings. More...

## Namespaces
namespace | G
| Low-level classes.